﻿@using System.Web.UI.WebControls;
@using Portal.Models.GoodsReceiptInquiry;

@model Toyota.Common.Web.MVC.ModelHolder

@Html.Common().DevExpress().GridView(
    gridView => {
        gridView.Name = "GRIMDGridView";

        gridView.CallbackRouteValues = new { Controller = "GoodsReceiptInquiry", Action = "PartialPopupGoodsReceiptInquiryManifestDetail" };
        gridView.ClientSideEvents.BeginCallback = "OnGRIMDGridViewBeginCallback";

        gridView.Width = Unit.Percentage(50);

        gridView.Settings.ShowFilterRow = true;
        gridView.Settings.ShowFilterRowMenu = true;
        gridView.Settings.ShowColumnHeaders = true;

        gridView.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        gridView.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;

        gridView.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        gridView.Styles.Header.VerticalAlign = VerticalAlign.Middle;

        gridView.CommandColumn.ClearFilterButton.Visible = true;

        gridView.Columns.Add(
            column =>
            {
                column.Name = "PART_NO";
                column.FieldName = "PART_NO";
                column.Caption = "Part No";

                column.Width = Unit.Pixel(120);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.CellStyle.Wrap = DefaultBoolean.False;

            });

        gridView.Columns.Add(
            column =>
            {
                column.Name = "PART_NAME";
                column.FieldName = "PART_NAME";
                column.Caption = "Part Name";

                column.Width = Unit.Pixel(290);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.CellStyle.Wrap = DefaultBoolean.False;
            });

        gridView.Columns.Add(
            column =>
            {
                column.Name = "ORDER_QTY";
                column.FieldName = "ORDER_QTY";
                column.Caption = "Order<br />Qty";

                column.Width = Unit.Pixel(80);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.CellStyle.Wrap = DefaultBoolean.False;
            });

        gridView.Columns.Add(
            column =>
            {
                column.Name = "DAMAGE_QTY";
                column.FieldName = "DAMAGE_QTY";
                column.Caption = "Damage<br />Qty";

                column.Width = Unit.Pixel(80);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.CellStyle.Wrap = DefaultBoolean.False;
            });

        gridView.Columns.Add(
            column =>
            {
                column.Name = "MISSPART_QTY";
                column.FieldName = "MISSPART_QTY";
                column.Caption = "Misspart<br />Qty";

                column.Width = Unit.Pixel(80);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.CellStyle.Wrap = DefaultBoolean.False;
            });

        gridView.Columns.Add(
           column =>
           {
               column.Name = "SHORTAGE_QTY";
               column.FieldName = "SHORTAGE_QTY";
               column.Caption = "Shortage<br />Qty";

               column.Width = Unit.Pixel(80);
               column.CellStyle.HorizontalAlign = HorizontalAlign.Right;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
               column.CellStyle.Wrap = DefaultBoolean.False;
           });

        //---=== Add by Rahmat ===---

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "FD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "FD_EXCHANGE_RATE";
                        column.FieldName = "FD_EXCHANGE_RATE";
                        column.Caption = "Exchange<br />Rate";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "FD_IM_PERIOD";
                        column.FieldName = "FD_IM_PERIOD";
                        column.Caption = "IM<br />Period";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "FD_STANDARD_COST";
                        column.FieldName = "FD_STANDARD_COST";
                        column.Caption = "Standard<br />Cost";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
            });

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "PCD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PCD_DOCK_CODE";
                        column.FieldName = "PCD_DOCK_CODE";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PCD_MATERIAL_MASTER";
                        column.FieldName = "PCD_MATERIAL_MASTER";
                        column.Caption = "Material<br />Master";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("DF", "DF");
                        comboBoxMaterialMasterProperties.Items.Add("DF on Source", "DF on Source");
                        comboBoxMaterialMasterProperties.Items.Add("DF on Plant", "DF on Plant");
                        comboBoxMaterialMasterProperties.Items.Add("DF on Sloc", "DF on Sloc");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                        comboBoxMaterialMasterProperties.Items.Add("NG on Source", "NG on Source");
                        comboBoxMaterialMasterProperties.Items.Add("NG on Plant", "NG on Plant");
                        comboBoxMaterialMasterProperties.Items.Add("NG on Sloc", "NG on Sloc");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PCD_ROUTING";
                        column.FieldName = "PCD_ROUTING";
                        column.Caption = "Routing";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PCD_PART_LIST";
                        column.FieldName = "PCD_PART_LIST";
                        column.Caption = "Part List";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialMasterProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialMasterProperties.Items.Add("All", "");
                        comboBoxMaterialMasterProperties.Items.Add("OK", "OK");
                        comboBoxMaterialMasterProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PCD_OTHERS";
                        column.FieldName = "PCD_OTHERS";
                        column.Caption = "Others";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;
                    });
            });

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "PAD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PAD_DOCK_CODE";
                        column.FieldName = "PAD_DOCK_CODE";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxDockCodeProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxDockCodeProperties.Items.Add("All", "");
                        comboBoxDockCodeProperties.Items.Add("OK", "OK");
                        comboBoxDockCodeProperties.Items.Add("Not Valid", "Not Valid");
                        comboBoxDockCodeProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PAD_MATERIAL_MASTER";
                        column.FieldName = "PAD_MATERIAL_MASTER";
                        column.Caption = "Material<br />Master";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMatdockProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMatdockProperties.Items.Add("All", "");
                        comboBoxMatdockProperties.Items.Add("OK", "OK");
                        comboBoxMatdockProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PAD_MATDOCK";
                        column.FieldName = "PAD_MATDOCK";
                        column.Caption = "MatDock<br />Mapping";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMatdockProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMatdockProperties.Items.Add("All", "");
                        comboBoxMatdockProperties.Items.Add("OK", "OK");
                        comboBoxMatdockProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PAD_LOCATION_CODE";
                        column.FieldName = "PAD_LOCATION_CODE";
                        column.Caption = "Location<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMatdockProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMatdockProperties.Items.Add("All", "");
                        comboBoxMatdockProperties.Items.Add("OK", "OK");
                        comboBoxMatdockProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PAD_OTHERS";
                        column.FieldName = "PAD_OTHERS";
                        column.Caption = "Others";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;
                    });
            });

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "PUD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_MATERIAL_PRICE";
                        column.FieldName = "PUD_MATERIAL_PRICE";
                        column.Caption = "Material<br />Price";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialPriceProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialPriceProperties.Items.Add("All", "");
                        comboBoxMaterialPriceProperties.Items.Add("OK", "OK");
                        comboBoxMaterialPriceProperties.Items.Add("DF", "DF");
                        comboBoxMaterialPriceProperties.Items.Add("DF on Draft", "DF on Draft");
                        comboBoxMaterialPriceProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_STANDARD_PRICE";
                        column.FieldName = "PUD_STANDARD_PRICE";
                        column.Caption = "Standard<br />Price";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxMaterialPriceProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxMaterialPriceProperties.Items.Add("All", "");
                        comboBoxMaterialPriceProperties.Items.Add("OK", "OK");
                        comboBoxMaterialPriceProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_PO";
                        column.FieldName = "PUD_PO";
                        column.Caption = "PO";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxPoProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxPoProperties.Items.Add("All", "");
                        comboBoxPoProperties.Items.Add("OK", "OK");
                        comboBoxPoProperties.Items.Add("DF", "DF");
                        comboBoxPoProperties.Items.Add("NG", "NG");
                        comboBoxPoProperties.Items.Add("NG on Packing", "NG on Packing");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_SOURCE_LIST";
                        column.FieldName = "PUD_SOURCE_LIST";
                        column.Caption = "Source<br />List";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxSourceListProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxSourceListProperties.Items.Add("All", "");
                        comboBoxSourceListProperties.Items.Add("OK", "OK");
                        comboBoxSourceListProperties.Items.Add("Not Valid", "Not Valid");
                        comboBoxSourceListProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_SUPPLIER_MASTER";
                        column.FieldName = "PUD_SUPPLIER_MASTER";
                        column.Caption = "Supplier<br />List";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxSupplierListProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxSupplierListProperties.Items.Add("All", "");
                        comboBoxSupplierListProperties.Items.Add("OK", "OK");
                        comboBoxSupplierListProperties.Items.Add("DF", "DF");
                        comboBoxSupplierListProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PUD_OTHERS";
                        column.FieldName = "PUD_OTHERS";
                        column.Caption = "Others";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;
                    });
            });

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "PVD/PUD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PVD_MATERIAL_PRICE";
                        column.FieldName = "PVD_MATERIAL_PRICE";
                        column.Caption = "Material<br />Price";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxPackingTypeProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxPackingTypeProperties.Items.Add("All", "");
                        comboBoxPackingTypeProperties.Items.Add("OK", "OK");
                        comboBoxPackingTypeProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PVD_PACKING_TYPE";
                        column.FieldName = "PVD_PACKING_TYPE";
                        column.Caption = "Packing<br />Type";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxPackingTypeProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxPackingTypeProperties.Items.Add("All", "");
                        comboBoxPackingTypeProperties.Items.Add("OK", "OK");
                        comboBoxPackingTypeProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "PVD_OTHERS";
                        column.FieldName = "PVD_OTHERS";
                        column.Caption = "Others";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;
                    });
            });

        gridView.Columns.AddBand(
            band =>
            {
                band.Visible = false;
                band.Caption = "ISTD";
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "ISTD_SYSTEM";
                        column.FieldName = "ISTD_SYSTEM";
                        column.Caption = "System";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;

                        column.Settings.FilterMode = ColumnFilterMode.Value;
                        column.ColumnType = MVCxGridViewColumnType.ComboBox;

                        var comboBoxPackingTypeProperties = column.PropertiesEdit as ComboBoxProperties;
                        comboBoxPackingTypeProperties.Items.Add("All", "");
                        comboBoxPackingTypeProperties.Items.Add("OK", "OK");
                        comboBoxPackingTypeProperties.Items.Add("NG", "NG");
                    });
                band.Columns.Add(
                    column =>
                    {
                        column.Name = "ISTD_OTHERS";
                        column.FieldName = "ISTD_OTHERS";
                        column.Caption = "Others";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.CellStyle.Wrap = DefaultBoolean.True;
                    });
            });
        //---=== End add ===---

        gridView.Columns.Add(
            column =>
            {
                column.Visible = false;
                // field properties
                column.Name = "NOTICE";
                //column.FieldName = "NOTICE";
                column.Caption = "Notice";

                column.Width = Unit.Pixel(64);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                column.SetDataItemTemplateContent(
                    content =>
                    {
                        @Html.Common().DevExpress().MessageBoardOpenImage(
                            imgsettings =>
                            {
                                imgsettings.Name = "GRIMDNoticeMessage" + content.VisibleIndex;
                                imgsettings.BoardId = "GRIMDMessageBoard";
                                imgsettings.BoardName = "GRIMDNoticeMessage_" + DataBinder.Eval(content.DataItem, "PART_NO");
                            }).Render();
                    });

                // field filter properties
                column.Settings.FilterMode = ColumnFilterMode.Value;
                column.ColumnType = MVCxGridViewColumnType.ComboBox;

                var comboSetting = column.PropertiesEdit as ComboBoxProperties;
                comboSetting.Items.Add("Empty", "~/Content/Images/notice_add_icon.png", "~/Content/Images/notice_add_icon.png");
                comboSetting.Items.Add("New", "~/Content/Images/notice_new_icon.png", "~/Content/Images/notice_new_icon.png");
                comboSetting.Items.Add("Read", "~/Content/Images/notice_open_icon.png", "~/Content/Images/notice_open_icon.png");
                comboSetting.Items.Add("Close", "~/Content/Images/notice_close_icon.png", "~/Content/Images/notice_close_icon.png");
            });

        gridView.HtmlDataCellPrepared = (SendMailErrorEventArgs, e) =>
        {
            if (e.DataColumn.FieldName == "RECEIVED_STATUS")
            {
                if (e.CellValue != null)
                {
                    if (e.CellValue.ToString().Contains("5"))   // error posting
                    {
                        e.Cell.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFEBEB");
                    }
                }
            }
            if (e.DataColumn.FieldName == "DAMAGE_QTY")
            {
                int damageQty = (int)e.GetValue(e.DataColumn.FieldName);
                if (damageQty > 0)
                {
                    e.Cell.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFEBEB");
                }
            }
            if (e.DataColumn.FieldName == "MISSPART_QTY")
            {
                int damageQty = (int)e.GetValue(e.DataColumn.FieldName);
                if (damageQty > 0)
                {
                    e.Cell.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFEBEB");
                }
            }
            if (e.DataColumn.FieldName == "SHORTAGE_QTY")
            {
                int damageQty = (int)e.GetValue(e.DataColumn.FieldName);
                if (damageQty > 0)
                {
                    e.Cell.BackColor = System.Drawing.ColorTranslator.FromHtml("#FFEBEB");
                }
            }
            if (
                    e.DataColumn.FieldName == "FD_EXCHANGE_RATE" ||
                    e.DataColumn.FieldName == "FD_IM_PERIOD" ||
                    e.DataColumn.FieldName == "FD_STANDARD_COST" ||
                    e.DataColumn.FieldName == "PCD_DOCK_CODE" ||
                    e.DataColumn.FieldName == "PCD_MATERIAL_MASTER" ||
                    e.DataColumn.FieldName == "PCD_ROUTING" ||
                    e.DataColumn.FieldName == "PCD_PART_LIST" ||
                    e.DataColumn.FieldName == "PCD_OTHERS" ||
                    e.DataColumn.FieldName == "PAD_DOCK_CODE" ||
                    e.DataColumn.FieldName == "PAD_MATERIAL_MASTER" ||
                    e.DataColumn.FieldName == "PAD_MATDOCK" ||
                    e.DataColumn.FieldName == "PAD_LOCATION_CODE" ||
                    e.DataColumn.FieldName == "PAD_OTHERS" ||
                    e.DataColumn.FieldName == "PUD_MATERIAL_PRICE" ||
                    e.DataColumn.FieldName == "PUD_STANDARD_PRICE" ||
                    e.DataColumn.FieldName == "PUD_PO" ||
                    e.DataColumn.FieldName == "PUD_SOURCE_LIST" ||
                    e.DataColumn.FieldName == "PUD_SUPPLIER_MASTER" ||
                    e.DataColumn.FieldName == "PUD_OTHERS" ||
                    e.DataColumn.FieldName == "PVD_MATERIAL_PRICE" ||
                    e.DataColumn.FieldName == "PVD_PACKING_TYPE" ||
                    e.DataColumn.FieldName == "PVD_OTHERS" ||
                    e.DataColumn.FieldName == "ISTD_SYSTEM" ||
                    e.DataColumn.FieldName == "ISTD_OTHERS"
                )
            {
                if (e.CellValue != null)
                {
                    if (Convert.ToString(e.CellValue).ToUpper().Equals("OK"))
                    {
                        e.Cell.BackColor = e.DataColumn.CellStyle.BackColor;
                        e.Cell.ForeColor = System.Drawing.Color.Black;
                    }
                    else
                    {
                        e.Cell.BackColor = System.Drawing.Color.Red;
                        e.Cell.ForeColor = System.Drawing.Color.White;
                    }
                }
            }
        };
    }).Bind(Model.GetModel<List<GoodsReceiptInquiryManifestDetailData>>()).GetHtml()
